Create async text completion
Submits a text completion request for asynchronous execution. Returns a job ID immediately with HTTP 202. Poll the corresponding GET endpoint with the job ID to retrieve the result. Streaming is not supported for async requests.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Header Parameters
x-bf-async-job-result-ttl?integer
Time-to-live in seconds for the job result after completion. Defaults to 3600 (1 hour). After expiry, the job result is automatically cleaned up.
Default
3600modelstring
Model in provider/model format
promptstring | array<string>
Prompt input - can be a string or array of strings
fallbacks?array<string>
stream?boolean
best_of?integer
echo?boolean
frequency_penalty?number
logit_bias?object
Empty Object
logprobs?integer
max_tokens?integer
n?integer
presence_penalty?number
seed?integer
stop?array<string>
suffix?string
temperature?number
top_p?number
user?string
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/v1/async/completions" \ -H "x-bf-async-job-result-ttl: 3600" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "prompt": "string" }'{
"id": "string",
"status": "pending",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"status_code": 0,
"result": null,
"error": {
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}